Tag: android gradle

Ist Icepick gebrochen?

Ich habe einige sehr einfache Tests mit einem Fragment versucht. Aber Icepick scheint nicht den Wert des String-Tests im OutState-Bündel zu sparen … public class MyFragment extends Fragment { @Icicle String test; @Override public void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); Icepick.restoreInstanceState(this,savedInstanceState); } @Override public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) { // Inflate the layout […]

Auf Android besten Platz, um Einstellungen wie api URL zu halten

In meiner Android-App muss ich die Einstellungen für die api-URL beibehalten, die je nach Art des Builds variiert (ich habe einen für Debug / Staging und Release). Halten Sie diese in die strings Datei fühlt sich nicht richtig, da dieser Ordner hat Strings lokalisiert und es gibt nichts zu lokalisieren über die api url. Was […]

Fehler beim Auflösen der Bibliothek im Android-Studio

Ich versuche, eine Drittanbieter-Bibliothek in gradle hinzuzufügen. Es zeigt folgende Fehler: Hier ist meine gradle Datei: apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.2" compileOptions.encoding = 'ISO-8859-1' defaultConfig { applicationId "com.attendme.io" minSdkVersion 15 targetSdkVersion 22 versionCode 1 versionName "1.4" //1.4.1 //multiDexEnabled true } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } […]

Dependency Apache HTTP Client in Android mit Google APIs

Ich habe die Google Play Services Bibliotheken nur mit Google+ Login und es funktionierte gut, aber jetzt möchte ich die Kalender-API auf meine App. Ich folge diesem Tutorial Das Problem ist, dass die Abhängigkeiten mit den neuen Anweisungen des Tutorials eine Warnung in der Gradle Build verursachen. Information:Gradle tasks [:app:generateDebugSources, :app:generateDebugAndroidTestSources] Warning:Dependency org.apache.httpcomponents:httpclient:4.0.1 is ignored […]

Jacoco konvertiert coverage.ec zu Berichten ohne coverage.em

Ich war in der Lage, die Code-Berichterstattung Bericht, indem Sie die Schritte unten, Ermöglicht die Abdeckung auf dem gewünschten Bausatz (zB Debug) buildTypes { debug { testCoverageEnabled true } } Jacoco-Plugin anwenden und Version einstellen apply plugin: 'jacoco' jacoco { version "0.7.1.201405082137" } Lauf ./gradlew createDebugCoverageReport Alle Tests in connectedAndroidTest werden ausgeführt und Berichtsbericht wird […]

Führen Sie "Instant Run" aus der Befehlszeile aus

Ich laufe meine Android-App aus Android Studio und Instant Run tritt ein, was großartig ist. Ich möchte genau das gleiche aus der Kommandozeile ausführen. In Android Studio's Event Log , sehe ich 22:00:28 Executing tasks: [:app:incrementalDevDebugSupportDex] 22:00:48 Gradle build finished in 20s 286ms 22:00:51 Instant Run applied code changes and restarted the current Activity. Also, […]

Android Studio 1.1 Gradle 2.2.1 Gradle Version 2.1 benötigte aktuelle Version ist 2.2.1

Ich versuche nur, die neueste Version von u2020-daggr2 in Android stu zu kompilieren! [Ich habe es als ein gradle Projekt importiert. Aber ich bekomme Fehler, mich über Graduierung zu beklagen! Ich habe die gradle-wrapper.properties editiert. Der Wiederaufbau funktionierte jedoch nicht. Ich habe gesehen: Gradle 2.1 wird benötigt Migrieren Sie zu Gradle Wrapper und Sync-Projekt, das […]

Wie ignoriere ich minSdkVersion der Bibliothek in Android Studio?

In meinem Projekt minSdkVersion = 10, in der Bibliothek ist es 11. Ich bekomme: BUILD_FAILED – Manifest merger failed : uses-sdk:minSdkVersion 10 cannot be smaller than version 11 declared in library. Wie ignoriere ich minSdkVersion der Bibliothek?

Java.lang.NoClassDefFoundError: Fehlerhafte Auflösung von: Lorg / jacoco / agent / rt / internal_14f7ee5 / Offline

Ich sehe den folgenden Fehler in meinem Android-Projekt nach der Aktualisierung auf Gradle Build Tools 2.1.3 und Gradle 2.14.1. Es passiert sofort, wenn ich die Anwendung ausführen. Wie kann ich das beheben? java.lang.NoClassDefFoundError: Failed resolution of: Lorg/jacoco/agent/rt/internal_14f7ee5/Offline; at com.ourapp.next.conversation.SomeList.SomeListViewModel.$jacocoInit(SomeListViewModel.java) at com.ourapp.next.conversation.SomeList.SomeListViewModel.(SomeListViewModel.java) at com.ourapp.next.conversation.SomeList.SomeListAdapterTest.(SomeListAdapterTest.java:26) at java.lang.reflect.Constructor.newInstance(Native Method) at java.lang.reflect.Constructor.newInstance(Constructor.java:288) at org.junit.runners.BlockJUnit4ClassRunner.createTest(BlockJUnit4ClassRunner.java:217) at org.junit.runners.BlockJUnit4ClassRunner$1.runReflectiveCall(BlockJUnit4ClassRunner.java:266) at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12) at […]

Fehler beim Generieren von signierten apk task app: packageRelease

Fehler: Ein Problem wurde bei der Konfiguration der Aufgabe ': app: packageRelease' gefunden. Datei '/ Volumes / Daten / Android Apps / NammaKarnataka-master / app / build / intermediates / res / resources-release-stripped.ap_' angegeben für Eigenschaft 'resourceFile' existiert nicht. Die folgende Fehlermeldung ist aufgetreten, während ich versucht habe, signierte apk auf Android Studio 2.2 zu […]

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.